SDL_wcstol(3)

NAME
SDL_wcstol - Parse a long from a wide string.

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

long SDL_wcstol(const wchar_t *str, wchar_t **endp, int base);

DESCRIPTION
If str starts with whitespace, then those whitespace characters are skipped before attempting to parse the number.

If the parsed number does not fit inside a long , the result is clamped to the minimum and maximum representable long values.

FUNCTION PARAMETERS

str The null-terminated wide string to read. Must not be NULL.

endp
    If not NULL, the address of the first invalid wide character (i.e. the next character after the parsed number) will be written to this pointer.

base
    The base of the integer to read. Supported values are 0 and 2 to 36 inclusive. If 0, the base will be inferred from the number's prefix (0x for hexadecimal, 0 for octal, decimal otherwise).

RETURN VALUE
Returns the parsed long , or 0 if no number could be parsed.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_strtol(3)